/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Payment summary information.
 */
@ApiModel(description = "Payment summary information.")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class PaymentSummary {
  @SerializedName("type")
  private String type = null;

  @SerializedName("status")
  private String status = null;

  @SerializedName("last_payment_date")
  private String lastPaymentDate = null;

  public PaymentSummary type(String type) {
    this.type = type;
    return this;
  }

   /**
   * Payment mode type. Expected (CREDIT_CARD, DEBIT_CARD, ELECTRONIC_TRANSFERT, VIRTUAL_CREDIT_CARD).
   * @return type
  **/
  @ApiModelProperty(example = "CREDIT_CARD", value = "Payment mode type. Expected (CREDIT_CARD, DEBIT_CARD, ELECTRONIC_TRANSFERT, VIRTUAL_CREDIT_CARD).")
  public String getType() {
    return type;
  }

  public void setType(String type) {
    this.type = type;
  }

  public PaymentSummary status(String status) {
    this.status = status;
    return this;
  }

   /**
   * Payment status.
   * @return status
  **/
  @ApiModelProperty(value = "Payment status.")
  public String getStatus() {
    return status;
  }

  public void setStatus(String status) {
    this.status = status;
  }

  public PaymentSummary lastPaymentDate(String lastPaymentDate) {
    this.lastPaymentDate = lastPaymentDate;
    return this;
  }

   /**
   * Last payment date - ISO 8601 format (YYYY-MM-DD).
   * @return lastPaymentDate
  **/
  @ApiModelProperty(value = "Last payment date - ISO 8601 format (YYYY-MM-DD).")
  public String getLastPaymentDate() {
    return lastPaymentDate;
  }

  public void setLastPaymentDate(String lastPaymentDate) {
    this.lastPaymentDate = lastPaymentDate;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    PaymentSummary paymentSummary = (PaymentSummary) o;
    return Objects.equals(this.type, paymentSummary.type) &&
        Objects.equals(this.status, paymentSummary.status) &&
        Objects.equals(this.lastPaymentDate, paymentSummary.lastPaymentDate);
  }

  @Override
  public int hashCode() {
    return Objects.hash(type, status, lastPaymentDate);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class PaymentSummary {\n");
    
    sb.append("    type: ").append(toIndentedString(type)).append("\n");
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
    sb.append("    lastPaymentDate: ").append(toIndentedString(lastPaymentDate)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

